Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.xjep
Class XSymbolTable

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              org.nfunk.jep.SymbolTable
                  org.lsmp.djep.xjep.XSymbolTable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

Direct Known Subclasses:
  DSymbolTable

    public class XSymbolTable

extends SymbolTable

An extension of the symbol table with a few new features.

Author:
  Rich Morris Created on 18-Mar-2004
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.nfunk.jep.SymbolTable
`SymbolTable.StObservable`

Field Summary

Fields inherited from class org.nfunk.jep.SymbolTable
`obeservable`

Constructor Summary
`XSymbolTable(VariableFactory varFac)` Create a new XSymbolTable with the given variable factory.

Method Summary
`void` | `copyConstants(SymbolTable symTab)` Copy the values of all constants into this from the supplied symbol table.
`SymbolTable` | `newInstance()` Creates a new SymbolTable with the same variable factory as this.
`void` | `print(PrintVisitor pv)` Prints the contents of the symbol table displaying its equations and value.

Methods inherited from class org.nfunk.jep.SymbolTable
`addConstant, addObserver, addObserverToExistingVariables, addVariable, clearNonConstants, clearValues, countObservers, createVariable, createVariable, deleteObserver, deleteObservers, get, getValue, getVar, getVariableFactory, hasChanged, makeVarIfNeeded, makeVarIfNeeded, put, setVarValue, toString`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSymbolTable

    public XSymbolTable(VariableFactory varFac)

  Create a new XSymbolTable with the given variable factory.

Method Detail

### newInstance

    public SymbolTable newInstance()

  Creates a new SymbolTable with the same variable factory as this.

### print

    public void print(PrintVisitor pv)

  Prints the contents of the symbol table displaying its equations and value.

### copyConstants

    public void copyConstants(SymbolTable symTab)

  Copy the values of all constants into this from the supplied symbol table.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems